### Method

# Clutter Script connect_signals

#### Declaration [src]

    void
    clutter_script_connect_signals (
      ClutterScript* script,
      gpointer user_data
    )

#### Description [src]

Connects all the signals defined into a UI definition file to their handlers.

This method invokes `clutter_script_connect_signals_full()` internally and uses `GModule`‘s introspective features (by opening the current module’s scope) to look at the application’s symbol table.

Note that this function will not work if `GModule` is not supported by the platform Clutter is running on.

#### Parameters

`user_data`

  Type: `gpointer`

  Data to be passed to the signal handlers, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.